oro_behat_extension:
    suites:
        OroFrontendLocalizationBundle:
          contexts:
            - Oro\Bundle\TestFrameworkBundle\Tests\Behat\Context\OroMainContext
            - Oro\Bundle\ApplicationBundle\Tests\Behat\Context\CommerceMainContext
            - Oro\Bundle\FormBundle\Tests\Behat\Context\FormContext
            - Oro\Bundle\DataGridBundle\Tests\Behat\Context\GridContext
            - Oro\Bundle\FrontendLocalizationBundle\Tests\Behat\Context\LocalizationSwitcherContext
            - Oro\Bundle\ConfigBundle\Tests\Behat\Context\FeatureContext
            - Oro\Bundle\TranslationBundle\Tests\Behat\Context\FeatureContext
          paths:
            - '@OroFrontendLocalizationBundle/Tests/Behat/Features'
    elements:
        LocalizationCurrencySwitcher:
          class: Oro\Bundle\FrontendLocalizationBundle\Tests\Behat\Element\LocalizationCurrencySwitcherElement
          selector: '.localization-currency-switcher'
          options:
            selectors:
              ActiveLocalization: '[data-name="localization-label"]'
              ActiveCurrency: '[data-name="currency-label"]'
              MainToggleLink:
                locator: "//a[contains(text(), '%s')]"
                type: xpath
              InternalToggleLabel:
                locator: "//label[contains(text(), '%s')]"
                type: xpath
              FooterExpand: '[data-name="side-panel-footer-expand"]'
              SelectMainElementContainer: '.currency-localization-btn-wrapper'
              SelectInternalElementContainer: '[data-control-type="select"]'
              ToggleMainElementContainer: '.side-panel-currency-localization-info'
              ToggleInternalElementContainer: '[data-control-type="toggle"]'
              ToggleVerticalInternalElementContainer: '[data-control-type="toggle-vertical"]'
              SaveButton:
                locator: '//button[contains(text(), "Save")]'
                type: 'xpath'

        Localization Switcher:
            selector: '[name="localization"]'

        CreateLocalizationForm:
            class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form
            selector: 'form[id^="oro_localization"]'
            options:
                mapping:
                    Title: 'oro_localization[titles][values][default]'
